# Keila on Cloudron

This document provides instructions on how to build and install the Keila package for Cloudron.

## Prerequisites

- A Cloudron instance
- Cloudron CLI installed and configured
- Docker installed locally

## Building the Package

The Keila Cloudron package is built using the `cloudron build` command. This command will use the `Dockerfile` to create a Docker image and push it to a Docker registry.

To build the package, run the following command in the root of this repository:

```bash
cloudron build --set-build-service builder.docker.due.ren --build-service-token e3265de06b1d0e7bb38400539012a8433a74c2c96a17955e --set-repository andreasdueren/keila-cloudron --tag 0.15.0
```

Replace `andreasdueren/keila-cloudron` with your own Docker Hub repository if you wish. The version `0.15.0` corresponds to the Keila version being packaged.

## Installing the Application

Once the build is complete, you can install the application on your Cloudron instance using the `cloudron install` command.

```bash
cloudron install --location keila.due.ren --image andreasdueren/keila-cloudron:0.15.0
```

Replace `keila.due.ren` with the desired location for your Keila instance.

## First-time Setup

After installation, Keila will be configured with the following settings:

- The root user is created with your Cloudron account's email address.
- To set your password for the first time, use the "Forgot Password?" link on the login page.
- Email sending is configured to use Cloudron's mail server.
- User-uploaded content is stored in `/app/data/uploads`.

## Troubleshooting

You can view the application logs from the Cloudron dashboard or using the Cloudron CLI:

```bash
cloudron logs --app keila.due.ren
```

To get a shell inside the running application container:

```bash
cloudron exec --app keila.due.ren
```
